- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# tools.hh File Reference

Some useful utility functions. More...

Include dependency graph for xml/tools.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::xml
namespace | vcsn::xml::tools
## Functions
template<class S, class T>
const char * | get_semiring_set (const S &, const T &)
| Tools to generate automaton labels from string, and to ensure type compatibility.
template<class T>
T::series_set_elt_t | get_series (xercesc::DOMElement *node, T &aut)
| Get series from a XML label node.
template<class U, class V>
void | insert_letter (Element< vcsn::algebra::AlphabetSet< U >, V > &a, const std::string &str)
| Insert a letter in an alphabet.
template<class U>
void | ensure_monoid_type (const xercesc::DOMElement *node, const U &param)
| Check monoid conformance of the automaton w.r.t.
template<class T, class U>
void | ensure_semiring_type (const xercesc::DOMElement *node, const T &a, const U &param)
| Check semiring conformance of the automaton w.r.t.
template<class OStream>
void | print_document (xercesc::DOMImplementationLS *impl, xercesc::DOMElement *node, OStream &os)
| Print XML tree to output stream.

## Detailed Description

Some useful utility functions.

See also:
  vcsn::xml::xml_converter, vcsn::xml::Node

Author:
  Louis-Noel Pouchet <louis-noel.pouchet@lrde.epita.fr>

Definition in file xml/tools.hh.